SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs

# sdh/crc.h File Reference

This file contains interface to cCRC, a class to handle CRC calculation. More...

`#include "sdhlibrary_settings.h"`
`#include "basisdef.h"`
Include dependency graph for crc.h:
This graph shows which files directly or indirectly include this file:

## Classes
class | SDH::cCRC
| Cyclic Redundancy Code checker class, used for protecting communication against transmission errors. More...
class | SDH::cCRC_DSACON32m
| A derived CRC class that uses a CRC table and initial value suitable for the Weiss Robotics DSACON32m controller. More...
class | SDH::cCRC_SDH
| A derived CRC class that uses a CRC table and initial value suitable for protecing the binary communication with SDH via RS232. More...
## Namespaces
namespace | SDH
## Typedefs
typedef UInt16 | SDH::tCRCValue
| the data type used to calculate and exchange CRC values with DSACON32m (16 bit integer)

## Detailed Description

This file contains interface to cCRC, a class to handle CRC calculation.

## General file information

Author:
  Dirk Osswald

Date:
  2008-06-09

## Copyright

Copyright (c) 2008 SCHUNK GmbH & Co. KG